# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'flow_node_patron/version'

Gem::Specification.new do |spec|
  spec.name          = 'flow_org_patron'
  spec.version       = FlowNodePatron::VERSION
  spec.authors       = ['atpking']
  spec.email         = ['atpking@gmail.com']

  spec.summary       = 'flow org agent patron '
  spec.description   = 'flow org agent patron '
  spec.homepage      = 'https://www.flow.ci'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'awesome_print', '~> 1.7'
  spec.add_development_dependency 'byebug'

  spec.add_development_dependency 'rubocop'

  spec.add_dependency 'byebug'

  spec.add_dependency 'rest-client', '>= 2.0'
  spec.add_dependency 'thor', '>= 0.19'
  spec.add_dependency 'oj', '>= 2.18'
  spec.add_dependency 'aasm', '>= 4.12'
end
